Core - Task # 41943

Status: Resolved Priority: Must have
Author: Steffen Mller Category: Logging
Created: 2012-10-13 Assigned To:

Updated: 2012-10-22 Due date:

TYPO3 Version: 6.0

PHP Version:

Complexity:

Sprint Focus:

Subject: Support logger names with namespace notation

Description

The Logging APl uses a dot-separated notation for logger names. The "pre-namespace" notation with underscores
(t3lib_cache_backend) gets converted to a dot-separated notation (t3lib.cache.backend).

Now that we have true PHP namespaces, we also need to support logger names with backslash notation
(TYPO3\CMS\Core\Cache\Backend).

Related issues:
related to Core - Task # 40095: Move core to namespaces Resolved 2012-08-23
related to Core - Task # 42582: Add Test for namespaces in Logger names Resolved 2012-11-01

2012-09-18

Associated revisions

Revision 53f4b4a5 - 2012-10-22 22:23 - Steffen Miiller

[TASK] Support logger names with namespaces

Resolves: #41943
Releases: 6.0

Change-Id: le9ee6fd200a330d7c78285afc380d1d59d4ec03a
Reviewed-on: http://review.typo3.org/15545

Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter
Reviewed-by: Philipp Gampe
Reviewed-by: Ingo Renner
Tested-by: Ingo Renner

History

#1 - 2012-10-13 00:58 - Steffen Miiller

Please mark this issue a sub-task of #40095

#2 - 2012-10-13 01:10 - Gerrit Code Review
- Status changed from New to Under Review

Patch set 1 for branch master has been pushed to the review server.
It is available at http:/review.typo3.org/15545
#3 - 2012-10-13 01:24 - Gerrit Code Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/15545

#4 - 2012-10-22 22:30 - Steffen Miiller
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:53f4b4a563866872796701900a0a2c42eeda7410.
